> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# To retrieve a completed report.



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/VarReport/GetReportsDataById
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/VarReport/GetReportsDataById:
    post:
      tags:
        - VarReport
      summary: To retrieve a completed report.
      operationId: GetReportsDataById
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetReportsDataByIdRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetReportsDataByIdRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetReportsDataByIdRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetReportsDataByIdRequest'
        description: The get report data request.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetVarReportsDataByIdResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetReportsDataByIdRequest:
      example:
        return_raw_data: true
        report_ids:
          - report_ids
          - report_ids
      properties:
        report_ids:
          items:
            type: string
          nullable: true
          type: array
        return_raw_data:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiGetReportsDataByIdRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetVarReportsDataByIdResponse:
      example:
        data:
          - excluded_scenario_price_histories_by_tradable_id:
              - key:
                  final_prices:
                    - 0.8008281904610115
                    - 0.8008281904610115
                  observation_dates:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  initial_price: 6.027456183070403
                  initial_price_valid: true
                  message: message
                  final_prices_valid:
                    - true
                    - true
              - key:
                  final_prices:
                    - 0.8008281904610115
                    - 0.8008281904610115
                  observation_dates:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  initial_price: 6.027456183070403
                  initial_price_valid: true
                  message: message
                  final_prices_valid:
                    - true
                    - true
            excluded_price_histories_by_tradable_id:
              key:
                final_prices:
                  - 0.8008281904610115
                  - 0.8008281904610115
                observation_dates:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                initial_price: 6.027456183070403
                initial_price_valid: true
                message: message
                final_prices_valid:
                  - true
                  - true
            scenarios:
              - scenario_name: scenario_name
                scenario_description: scenario_description
              - scenario_name: scenario_name
                scenario_description: scenario_description
            tradable_var_statistics:
              - expected_shortfall_pct: 5.637376656633329
                var: 4.145608029883936
                worst_loss: 1.0246457001441578
                message: message
                worst_day_index: 1
                valid: true
                var_pct: 7.386281948385884
                marginal_var_pct: 7.061401241503109
                std_dev: 3.616076749251911
                mean: 9.301444243932576
                expected_shortfall: 5.962133916683182
                marginal_var: 2.3021358869347655
                name: name
                std_dev_pct: 2.027123023002322
                component_var_pct: 1.4658129805029452
                id: id
                worst_day: '2000-01-23T04:56:07.000+00:00'
                component_var: 6.027456183070403
              - expected_shortfall_pct: 5.637376656633329
                var: 4.145608029883936
                worst_loss: 1.0246457001441578
                message: message
                worst_day_index: 1
                valid: true
                var_pct: 7.386281948385884
                marginal_var_pct: 7.061401241503109
                std_dev: 3.616076749251911
                mean: 9.301444243932576
                expected_shortfall: 5.962133916683182
                marginal_var: 2.3021358869347655
                name: name
                std_dev_pct: 2.027123023002322
                component_var_pct: 1.4658129805029452
                id: id
                worst_day: '2000-01-23T04:56:07.000+00:00'
                component_var: 6.027456183070403
            user_time_zone_id: user_time_zone_id
            market_data_date: '2000-01-23T04:56:07.000+00:00'
            portfolio_var_statistics:
              expected_shortfall_pct: 5.637376656633329
              var: 4.145608029883936
              worst_loss: 1.0246457001441578
              message: message
              worst_day_index: 1
              valid: true
              var_pct: 7.386281948385884
              marginal_var_pct: 7.061401241503109
              std_dev: 3.616076749251911
              mean: 9.301444243932576
              expected_shortfall: 5.962133916683182
              marginal_var: 2.3021358869347655
              name: name
              std_dev_pct: 2.027123023002322
              component_var_pct: 1.4658129805029452
              id: id
              worst_day: '2000-01-23T04:56:07.000+00:00'
              component_var: 6.027456183070403
            scenario_price_histories_by_tradable_id:
              - key:
                  final_prices:
                    - 0.8008281904610115
                    - 0.8008281904610115
                  observation_dates:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  initial_price: 6.027456183070403
                  initial_price_valid: true
                  message: message
                  final_prices_valid:
                    - true
                    - true
              - key:
                  final_prices:
                    - 0.8008281904610115
                    - 0.8008281904610115
                  observation_dates:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  initial_price: 6.027456183070403
                  initial_price_valid: true
                  message: message
                  final_prices_valid:
                    - true
                    - true
            historical_observation_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            portfolio_id: 0
            pricing_date: '2000-01-23T04:56:07.000+00:00'
            price_histories_by_tradable_id:
              key:
                final_prices:
                  - 0.8008281904610115
                  - 0.8008281904610115
                observation_dates:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                initial_price: 6.027456183070403
                initial_price_valid: true
                message: message
                final_prices_valid:
                  - true
                  - true
            position_infos:
              - notes: notes
                level2_portfolio_name: level2_portfolio_name
                client_tradable_id: client_tradable_id
                asset_id: asset_id
                book_name: book_name
                client_transaction_id: client_transaction_id
                client_parent_entity: client_parent_entity
                level5_portfolio_id: 8
                tradable_id: tradable_id
                leg: leg
                level3_portfolio_id: 9
                level1_portfolio_id: 5
                asset_name: asset_name
                instrument_code: instrument_code
                sector: sector
                string_label8: string_label8
                string_label16: string_label16
                string_label9: string_label9
                string_label15: string_label15
                counterparty_name: counterparty_name
                string_label6: string_label6
                string_label14: string_label14
                dealing_bank: dealing_bank
                string_label7: string_label7
                string_label13: string_label13
                string_label19: string_label19
                string_label18: string_label18
                bond_issuer_type: bond_issuer_type
                string_label17: string_label17
                decimal_label2: 7.457744773683766
                date_label2: '2000-01-23T04:56:07.000+00:00'
                decimal_label1: 6.84685269835264
                string_label12: string_label12
                business_unit: business_unit
                date_label1: '2000-01-23T04:56:07.000+00:00'
                string_label11: string_label11
                string_label10: string_label10
                sub_business_unit: sub_business_unit
                dealer_status: dealer_status
                level1_portfolio_name: level1_portfolio_name
                tradable: tradable
                string_label1: string_label1
                exchange: exchange
                string_label4: string_label4
                string_label5: string_label5
                string_label2: string_label2
                string_label3: string_label3
                country_of_risk: country_of_risk
                fx_cross_id: fx_cross_id
                dealing_bank_name: dealing_bank_name
                string_label20: string_label20
                futures_contract_size: 1.1730742509559433
                holding: 4.965218492984954
                level4_portfolio_id: 6
                counterparty_account: counterparty_account
                equity_asset_code: equity_asset_code
                level3_portfolio_name: level3_portfolio_name
                level2_portfolio_id: 9
                contract_currency: contract_currency
                client: client
                calculated_string_label2: calculated_string_label2
                calculated_string_label1: calculated_string_label1
                calculated_string_label4: calculated_string_label4
                client_name: client_name
                calculated_string_label3: calculated_string_label3
                security_type: security_type
                quantity: 9.018348186070783
                level4_portfolio_name: level4_portfolio_name
                book_id: 1
                team: team
                ctpty_string_label2: ctpty_string_label2
                ctpty_string_label1: ctpty_string_label1
                structure: structure
                issuer_name: issuer_name
                ctpty_string_label3: ctpty_string_label3
                commodity_id: commodity_id
                product_type: product_type
                counterparty: counterparty
                dealer_name: dealer_name
                level5_portfolio_name: level5_portfolio_name
                fx_cross: fx_cross
                strategy: strategy
                entity: entity
              - notes: notes
                level2_portfolio_name: level2_portfolio_name
                client_tradable_id: client_tradable_id
                asset_id: asset_id
                book_name: book_name
                client_transaction_id: client_transaction_id
                client_parent_entity: client_parent_entity
                level5_portfolio_id: 8
                tradable_id: tradable_id
                leg: leg
                level3_portfolio_id: 9
                level1_portfolio_id: 5
                asset_name: asset_name
                instrument_code: instrument_code
                sector: sector
                string_label8: string_label8
                string_label16: string_label16
                string_label9: string_label9
                string_label15: string_label15
                counterparty_name: counterparty_name
                string_label6: string_label6
                string_label14: string_label14
                dealing_bank: dealing_bank
                string_label7: string_label7
                string_label13: string_label13
                string_label19: string_label19
                string_label18: string_label18
                bond_issuer_type: bond_issuer_type
                string_label17: string_label17
                decimal_label2: 7.457744773683766
                date_label2: '2000-01-23T04:56:07.000+00:00'
                decimal_label1: 6.84685269835264
                string_label12: string_label12
                business_unit: business_unit
                date_label1: '2000-01-23T04:56:07.000+00:00'
                string_label11: string_label11
                string_label10: string_label10
                sub_business_unit: sub_business_unit
                dealer_status: dealer_status
                level1_portfolio_name: level1_portfolio_name
                tradable: tradable
                string_label1: string_label1
                exchange: exchange
                string_label4: string_label4
                string_label5: string_label5
                string_label2: string_label2
                string_label3: string_label3
                country_of_risk: country_of_risk
                fx_cross_id: fx_cross_id
                dealing_bank_name: dealing_bank_name
                string_label20: string_label20
                futures_contract_size: 1.1730742509559433
                holding: 4.965218492984954
                level4_portfolio_id: 6
                counterparty_account: counterparty_account
                equity_asset_code: equity_asset_code
                level3_portfolio_name: level3_portfolio_name
                level2_portfolio_id: 9
                contract_currency: contract_currency
                client: client
                calculated_string_label2: calculated_string_label2
                calculated_string_label1: calculated_string_label1
                calculated_string_label4: calculated_string_label4
                client_name: client_name
                calculated_string_label3: calculated_string_label3
                security_type: security_type
                quantity: 9.018348186070783
                level4_portfolio_name: level4_portfolio_name
                book_id: 1
                team: team
                ctpty_string_label2: ctpty_string_label2
                ctpty_string_label1: ctpty_string_label1
                structure: structure
                issuer_name: issuer_name
                ctpty_string_label3: ctpty_string_label3
                commodity_id: commodity_id
                product_type: product_type
                counterparty: counterparty
                dealer_name: dealer_name
                level5_portfolio_name: level5_portfolio_name
                fx_cross: fx_cross
                strategy: strategy
                entity: entity
            scenario_portfolio_var_statistics:
              - expected_shortfall_pct: 5.637376656633329
                var: 4.145608029883936
                worst_loss: 1.0246457001441578
                message: message
                worst_day_index: 1
                valid: true
                var_pct: 7.386281948385884
                marginal_var_pct: 7.061401241503109
                std_dev: 3.616076749251911
                mean: 9.301444243932576
                expected_shortfall: 5.962133916683182
                marginal_var: 2.3021358869347655
                name: name
                std_dev_pct: 2.027123023002322
                component_var_pct: 1.4658129805029452
                id: id
                worst_day: '2000-01-23T04:56:07.000+00:00'
                component_var: 6.027456183070403
              - expected_shortfall_pct: 5.637376656633329
                var: 4.145608029883936
                worst_loss: 1.0246457001441578
                message: message
                worst_day_index: 1
                valid: true
                var_pct: 7.386281948385884
                marginal_var_pct: 7.061401241503109
                std_dev: 3.616076749251911
                mean: 9.301444243932576
                expected_shortfall: 5.962133916683182
                marginal_var: 2.3021358869347655
                name: name
                std_dev_pct: 2.027123023002322
                component_var_pct: 1.4658129805029452
                id: id
                worst_day: '2000-01-23T04:56:07.000+00:00'
                component_var: 6.027456183070403
            portfolio_date_time: '2000-01-23T04:56:07.000+00:00'
          - excluded_scenario_price_histories_by_tradable_id:
              - key:
                  final_prices:
                    - 0.8008281904610115
                    - 0.8008281904610115
                  observation_dates:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  initial_price: 6.027456183070403
                  initial_price_valid: true
                  message: message
                  final_prices_valid:
                    - true
                    - true
              - key:
                  final_prices:
                    - 0.8008281904610115
                    - 0.8008281904610115
                  observation_dates:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  initial_price: 6.027456183070403
                  initial_price_valid: true
                  message: message
                  final_prices_valid:
                    - true
                    - true
            excluded_price_histories_by_tradable_id:
              key:
                final_prices:
                  - 0.8008281904610115
                  - 0.8008281904610115
                observation_dates:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                initial_price: 6.027456183070403
                initial_price_valid: true
                message: message
                final_prices_valid:
                  - true
                  - true
            scenarios:
              - scenario_name: scenario_name
                scenario_description: scenario_description
              - scenario_name: scenario_name
                scenario_description: scenario_description
            tradable_var_statistics:
              - expected_shortfall_pct: 5.637376656633329
                var: 4.145608029883936
                worst_loss: 1.0246457001441578
                message: message
                worst_day_index: 1
                valid: true
                var_pct: 7.386281948385884
                marginal_var_pct: 7.061401241503109
                std_dev: 3.616076749251911
                mean: 9.301444243932576
                expected_shortfall: 5.962133916683182
                marginal_var: 2.3021358869347655
                name: name
                std_dev_pct: 2.027123023002322
                component_var_pct: 1.4658129805029452
                id: id
                worst_day: '2000-01-23T04:56:07.000+00:00'
                component_var: 6.027456183070403
              - expected_shortfall_pct: 5.637376656633329
                var: 4.145608029883936
                worst_loss: 1.0246457001441578
                message: message
                worst_day_index: 1
                valid: true
                var_pct: 7.386281948385884
                marginal_var_pct: 7.061401241503109
                std_dev: 3.616076749251911
                mean: 9.301444243932576
                expected_shortfall: 5.962133916683182
                marginal_var: 2.3021358869347655
                name: name
                std_dev_pct: 2.027123023002322
                component_var_pct: 1.4658129805029452
                id: id
                worst_day: '2000-01-23T04:56:07.000+00:00'
                component_var: 6.027456183070403
            user_time_zone_id: user_time_zone_id
            market_data_date: '2000-01-23T04:56:07.000+00:00'
            portfolio_var_statistics:
              expected_shortfall_pct: 5.637376656633329
              var: 4.145608029883936
              worst_loss: 1.0246457001441578
              message: message
              worst_day_index: 1
              valid: true
              var_pct: 7.386281948385884
              marginal_var_pct: 7.061401241503109
              std_dev: 3.616076749251911
              mean: 9.301444243932576
              expected_shortfall: 5.962133916683182
              marginal_var: 2.3021358869347655
              name: name
              std_dev_pct: 2.027123023002322
              component_var_pct: 1.4658129805029452
              id: id
              worst_day: '2000-01-23T04:56:07.000+00:00'
              component_var: 6.027456183070403
            scenario_price_histories_by_tradable_id:
              - key:
                  final_prices:
                    - 0.8008281904610115
                    - 0.8008281904610115
                  observation_dates:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  initial_price: 6.027456183070403
                  initial_price_valid: true
                  message: message
                  final_prices_valid:
                    - true
                    - true
              - key:
                  final_prices:
                    - 0.8008281904610115
                    - 0.8008281904610115
                  observation_dates:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  initial_price: 6.027456183070403
                  initial_price_valid: true
                  message: message
                  final_prices_valid:
                    - true
                    - true
            historical_observation_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            portfolio_id: 0
            pricing_date: '2000-01-23T04:56:07.000+00:00'
            price_histories_by_tradable_id:
              key:
                final_prices:
                  - 0.8008281904610115
                  - 0.8008281904610115
                observation_dates:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                initial_price: 6.027456183070403
                initial_price_valid: true
                message: message
                final_prices_valid:
                  - true
                  - true
            position_infos:
              - notes: notes
                level2_portfolio_name: level2_portfolio_name
                client_tradable_id: client_tradable_id
                asset_id: asset_id
                book_name: book_name
                client_transaction_id: client_transaction_id
                client_parent_entity: client_parent_entity
                level5_portfolio_id: 8
                tradable_id: tradable_id
                leg: leg
                level3_portfolio_id: 9
                level1_portfolio_id: 5
                asset_name: asset_name
                instrument_code: instrument_code
                sector: sector
                string_label8: string_label8
                string_label16: string_label16
                string_label9: string_label9
                string_label15: string_label15
                counterparty_name: counterparty_name
                string_label6: string_label6
                string_label14: string_label14
                dealing_bank: dealing_bank
                string_label7: string_label7
                string_label13: string_label13
                string_label19: string_label19
                string_label18: string_label18
                bond_issuer_type: bond_issuer_type
                string_label17: string_label17
                decimal_label2: 7.457744773683766
                date_label2: '2000-01-23T04:56:07.000+00:00'
                decimal_label1: 6.84685269835264
                string_label12: string_label12
                business_unit: business_unit
                date_label1: '2000-01-23T04:56:07.000+00:00'
                string_label11: string_label11
                string_label10: string_label10
                sub_business_unit: sub_business_unit
                dealer_status: dealer_status
                level1_portfolio_name: level1_portfolio_name
                tradable: tradable
                string_label1: string_label1
                exchange: exchange
                string_label4: string_label4
                string_label5: string_label5
                string_label2: string_label2
                string_label3: string_label3
                country_of_risk: country_of_risk
                fx_cross_id: fx_cross_id
                dealing_bank_name: dealing_bank_name
                string_label20: string_label20
                futures_contract_size: 1.1730742509559433
                holding: 4.965218492984954
                level4_portfolio_id: 6
                counterparty_account: counterparty_account
                equity_asset_code: equity_asset_code
                level3_portfolio_name: level3_portfolio_name
                level2_portfolio_id: 9
                contract_currency: contract_currency
                client: client
                calculated_string_label2: calculated_string_label2
                calculated_string_label1: calculated_string_label1
                calculated_string_label4: calculated_string_label4
                client_name: client_name
                calculated_string_label3: calculated_string_label3
                security_type: security_type
                quantity: 9.018348186070783
                level4_portfolio_name: level4_portfolio_name
                book_id: 1
                team: team
                ctpty_string_label2: ctpty_string_label2
                ctpty_string_label1: ctpty_string_label1
                structure: structure
                issuer_name: issuer_name
                ctpty_string_label3: ctpty_string_label3
                commodity_id: commodity_id
                product_type: product_type
                counterparty: counterparty
                dealer_name: dealer_name
                level5_portfolio_name: level5_portfolio_name
                fx_cross: fx_cross
                strategy: strategy
                entity: entity
              - notes: notes
                level2_portfolio_name: level2_portfolio_name
                client_tradable_id: client_tradable_id
                asset_id: asset_id
                book_name: book_name
                client_transaction_id: client_transaction_id
                client_parent_entity: client_parent_entity
                level5_portfolio_id: 8
                tradable_id: tradable_id
                leg: leg
                level3_portfolio_id: 9
                level1_portfolio_id: 5
                asset_name: asset_name
                instrument_code: instrument_code
                sector: sector
                string_label8: string_label8
                string_label16: string_label16
                string_label9: string_label9
                string_label15: string_label15
                counterparty_name: counterparty_name
                string_label6: string_label6
                string_label14: string_label14
                dealing_bank: dealing_bank
                string_label7: string_label7
                string_label13: string_label13
                string_label19: string_label19
                string_label18: string_label18
                bond_issuer_type: bond_issuer_type
                string_label17: string_label17
                decimal_label2: 7.457744773683766
                date_label2: '2000-01-23T04:56:07.000+00:00'
                decimal_label1: 6.84685269835264
                string_label12: string_label12
                business_unit: business_unit
                date_label1: '2000-01-23T04:56:07.000+00:00'
                string_label11: string_label11
                string_label10: string_label10
                sub_business_unit: sub_business_unit
                dealer_status: dealer_status
                level1_portfolio_name: level1_portfolio_name
                tradable: tradable
                string_label1: string_label1
                exchange: exchange
                string_label4: string_label4
                string_label5: string_label5
                string_label2: string_label2
                string_label3: string_label3
                country_of_risk: country_of_risk
                fx_cross_id: fx_cross_id
                dealing_bank_name: dealing_bank_name
                string_label20: string_label20
                futures_contract_size: 1.1730742509559433
                holding: 4.965218492984954
                level4_portfolio_id: 6
                counterparty_account: counterparty_account
                equity_asset_code: equity_asset_code
                level3_portfolio_name: level3_portfolio_name
                level2_portfolio_id: 9
                contract_currency: contract_currency
                client: client
                calculated_string_label2: calculated_string_label2
                calculated_string_label1: calculated_string_label1
                calculated_string_label4: calculated_string_label4
                client_name: client_name
                calculated_string_label3: calculated_string_label3
                security_type: security_type
                quantity: 9.018348186070783
                level4_portfolio_name: level4_portfolio_name
                book_id: 1
                team: team
                ctpty_string_label2: ctpty_string_label2
                ctpty_string_label1: ctpty_string_label1
                structure: structure
                issuer_name: issuer_name
                ctpty_string_label3: ctpty_string_label3
                commodity_id: commodity_id
                product_type: product_type
                counterparty: counterparty
                dealer_name: dealer_name
                level5_portfolio_name: level5_portfolio_name
                fx_cross: fx_cross
                strategy: strategy
                entity: entity
            scenario_portfolio_var_statistics:
              - expected_shortfall_pct: 5.637376656633329
                var: 4.145608029883936
                worst_loss: 1.0246457001441578
                message: message
                worst_day_index: 1
                valid: true
                var_pct: 7.386281948385884
                marginal_var_pct: 7.061401241503109
                std_dev: 3.616076749251911
                mean: 9.301444243932576
                expected_shortfall: 5.962133916683182
                marginal_var: 2.3021358869347655
                name: name
                std_dev_pct: 2.027123023002322
                component_var_pct: 1.4658129805029452
                id: id
                worst_day: '2000-01-23T04:56:07.000+00:00'
                component_var: 6.027456183070403
              - expected_shortfall_pct: 5.637376656633329
                var: 4.145608029883936
                worst_loss: 1.0246457001441578
                message: message
                worst_day_index: 1
                valid: true
                var_pct: 7.386281948385884
                marginal_var_pct: 7.061401241503109
                std_dev: 3.616076749251911
                mean: 9.301444243932576
                expected_shortfall: 5.962133916683182
                marginal_var: 2.3021358869347655
                name: name
                std_dev_pct: 2.027123023002322
                component_var_pct: 1.4658129805029452
                id: id
                worst_day: '2000-01-23T04:56:07.000+00:00'
                component_var: 6.027456183070403
            portfolio_date_time: '2000-01-23T04:56:07.000+00:00'
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        data:
          items:
            $ref: '#/components/schemas/VarReportData'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiGetVarReportsDataByIdResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    VarReportData:
      example:
        excluded_scenario_price_histories_by_tradable_id:
          - key:
              final_prices:
                - 0.8008281904610115
                - 0.8008281904610115
              observation_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              initial_price: 6.027456183070403
              initial_price_valid: true
              message: message
              final_prices_valid:
                - true
                - true
          - key:
              final_prices:
                - 0.8008281904610115
                - 0.8008281904610115
              observation_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              initial_price: 6.027456183070403
              initial_price_valid: true
              message: message
              final_prices_valid:
                - true
                - true
        excluded_price_histories_by_tradable_id:
          key:
            final_prices:
              - 0.8008281904610115
              - 0.8008281904610115
            observation_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            initial_price: 6.027456183070403
            initial_price_valid: true
            message: message
            final_prices_valid:
              - true
              - true
        scenarios:
          - scenario_name: scenario_name
            scenario_description: scenario_description
          - scenario_name: scenario_name
            scenario_description: scenario_description
        tradable_var_statistics:
          - expected_shortfall_pct: 5.637376656633329
            var: 4.145608029883936
            worst_loss: 1.0246457001441578
            message: message
            worst_day_index: 1
            valid: true
            var_pct: 7.386281948385884
            marginal_var_pct: 7.061401241503109
            std_dev: 3.616076749251911
            mean: 9.301444243932576
            expected_shortfall: 5.962133916683182
            marginal_var: 2.3021358869347655
            name: name
            std_dev_pct: 2.027123023002322
            component_var_pct: 1.4658129805029452
            id: id
            worst_day: '2000-01-23T04:56:07.000+00:00'
            component_var: 6.027456183070403
          - expected_shortfall_pct: 5.637376656633329
            var: 4.145608029883936
            worst_loss: 1.0246457001441578
            message: message
            worst_day_index: 1
            valid: true
            var_pct: 7.386281948385884
            marginal_var_pct: 7.061401241503109
            std_dev: 3.616076749251911
            mean: 9.301444243932576
            expected_shortfall: 5.962133916683182
            marginal_var: 2.3021358869347655
            name: name
            std_dev_pct: 2.027123023002322
            component_var_pct: 1.4658129805029452
            id: id
            worst_day: '2000-01-23T04:56:07.000+00:00'
            component_var: 6.027456183070403
        user_time_zone_id: user_time_zone_id
        market_data_date: '2000-01-23T04:56:07.000+00:00'
        portfolio_var_statistics:
          expected_shortfall_pct: 5.637376656633329
          var: 4.145608029883936
          worst_loss: 1.0246457001441578
          message: message
          worst_day_index: 1
          valid: true
          var_pct: 7.386281948385884
          marginal_var_pct: 7.061401241503109
          std_dev: 3.616076749251911
          mean: 9.301444243932576
          expected_shortfall: 5.962133916683182
          marginal_var: 2.3021358869347655
          name: name
          std_dev_pct: 2.027123023002322
          component_var_pct: 1.4658129805029452
          id: id
          worst_day: '2000-01-23T04:56:07.000+00:00'
          component_var: 6.027456183070403
        scenario_price_histories_by_tradable_id:
          - key:
              final_prices:
                - 0.8008281904610115
                - 0.8008281904610115
              observation_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              initial_price: 6.027456183070403
              initial_price_valid: true
              message: message
              final_prices_valid:
                - true
                - true
          - key:
              final_prices:
                - 0.8008281904610115
                - 0.8008281904610115
              observation_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              initial_price: 6.027456183070403
              initial_price_valid: true
              message: message
              final_prices_valid:
                - true
                - true
        historical_observation_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        portfolio_id: 0
        pricing_date: '2000-01-23T04:56:07.000+00:00'
        price_histories_by_tradable_id:
          key:
            final_prices:
              - 0.8008281904610115
              - 0.8008281904610115
            observation_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            initial_price: 6.027456183070403
            initial_price_valid: true
            message: message
            final_prices_valid:
              - true
              - true
        position_infos:
          - notes: notes
            level2_portfolio_name: level2_portfolio_name
            client_tradable_id: client_tradable_id
            asset_id: asset_id
            book_name: book_name
            client_transaction_id: client_transaction_id
            client_parent_entity: client_parent_entity
            level5_portfolio_id: 8
            tradable_id: tradable_id
            leg: leg
            level3_portfolio_id: 9
            level1_portfolio_id: 5
            asset_name: asset_name
            instrument_code: instrument_code
            sector: sector
            string_label8: string_label8
            string_label16: string_label16
            string_label9: string_label9
            string_label15: string_label15
            counterparty_name: counterparty_name
            string_label6: string_label6
            string_label14: string_label14
            dealing_bank: dealing_bank
            string_label7: string_label7
            string_label13: string_label13
            string_label19: string_label19
            string_label18: string_label18
            bond_issuer_type: bond_issuer_type
            string_label17: string_label17
            decimal_label2: 7.457744773683766
            date_label2: '2000-01-23T04:56:07.000+00:00'
            decimal_label1: 6.84685269835264
            string_label12: string_label12
            business_unit: business_unit
            date_label1: '2000-01-23T04:56:07.000+00:00'
            string_label11: string_label11
            string_label10: string_label10
            sub_business_unit: sub_business_unit
            dealer_status: dealer_status
            level1_portfolio_name: level1_portfolio_name
            tradable: tradable
            string_label1: string_label1
            exchange: exchange
            string_label4: string_label4
            string_label5: string_label5
            string_label2: string_label2
            string_label3: string_label3
            country_of_risk: country_of_risk
            fx_cross_id: fx_cross_id
            dealing_bank_name: dealing_bank_name
            string_label20: string_label20
            futures_contract_size: 1.1730742509559433
            holding: 4.965218492984954
            level4_portfolio_id: 6
            counterparty_account: counterparty_account
            equity_asset_code: equity_asset_code
            level3_portfolio_name: level3_portfolio_name
            level2_portfolio_id: 9
            contract_currency: contract_currency
            client: client
            calculated_string_label2: calculated_string_label2
            calculated_string_label1: calculated_string_label1
            calculated_string_label4: calculated_string_label4
            client_name: client_name
            calculated_string_label3: calculated_string_label3
            security_type: security_type
            quantity: 9.018348186070783
            level4_portfolio_name: level4_portfolio_name
            book_id: 1
            team: team
            ctpty_string_label2: ctpty_string_label2
            ctpty_string_label1: ctpty_string_label1
            structure: structure
            issuer_name: issuer_name
            ctpty_string_label3: ctpty_string_label3
            commodity_id: commodity_id
            product_type: product_type
            counterparty: counterparty
            dealer_name: dealer_name
            level5_portfolio_name: level5_portfolio_name
            fx_cross: fx_cross
            strategy: strategy
            entity: entity
          - notes: notes
            level2_portfolio_name: level2_portfolio_name
            client_tradable_id: client_tradable_id
            asset_id: asset_id
            book_name: book_name
            client_transaction_id: client_transaction_id
            client_parent_entity: client_parent_entity
            level5_portfolio_id: 8
            tradable_id: tradable_id
            leg: leg
            level3_portfolio_id: 9
            level1_portfolio_id: 5
            asset_name: asset_name
            instrument_code: instrument_code
            sector: sector
            string_label8: string_label8
            string_label16: string_label16
            string_label9: string_label9
            string_label15: string_label15
            counterparty_name: counterparty_name
            string_label6: string_label6
            string_label14: string_label14
            dealing_bank: dealing_bank
            string_label7: string_label7
            string_label13: string_label13
            string_label19: string_label19
            string_label18: string_label18
            bond_issuer_type: bond_issuer_type
            string_label17: string_label17
            decimal_label2: 7.457744773683766
            date_label2: '2000-01-23T04:56:07.000+00:00'
            decimal_label1: 6.84685269835264
            string_label12: string_label12
            business_unit: business_unit
            date_label1: '2000-01-23T04:56:07.000+00:00'
            string_label11: string_label11
            string_label10: string_label10
            sub_business_unit: sub_business_unit
            dealer_status: dealer_status
            level1_portfolio_name: level1_portfolio_name
            tradable: tradable
            string_label1: string_label1
            exchange: exchange
            string_label4: string_label4
            string_label5: string_label5
            string_label2: string_label2
            string_label3: string_label3
            country_of_risk: country_of_risk
            fx_cross_id: fx_cross_id
            dealing_bank_name: dealing_bank_name
            string_label20: string_label20
            futures_contract_size: 1.1730742509559433
            holding: 4.965218492984954
            level4_portfolio_id: 6
            counterparty_account: counterparty_account
            equity_asset_code: equity_asset_code
            level3_portfolio_name: level3_portfolio_name
            level2_portfolio_id: 9
            contract_currency: contract_currency
            client: client
            calculated_string_label2: calculated_string_label2
            calculated_string_label1: calculated_string_label1
            calculated_string_label4: calculated_string_label4
            client_name: client_name
            calculated_string_label3: calculated_string_label3
            security_type: security_type
            quantity: 9.018348186070783
            level4_portfolio_name: level4_portfolio_name
            book_id: 1
            team: team
            ctpty_string_label2: ctpty_string_label2
            ctpty_string_label1: ctpty_string_label1
            structure: structure
            issuer_name: issuer_name
            ctpty_string_label3: ctpty_string_label3
            commodity_id: commodity_id
            product_type: product_type
            counterparty: counterparty
            dealer_name: dealer_name
            level5_portfolio_name: level5_portfolio_name
            fx_cross: fx_cross
            strategy: strategy
            entity: entity
        scenario_portfolio_var_statistics:
          - expected_shortfall_pct: 5.637376656633329
            var: 4.145608029883936
            worst_loss: 1.0246457001441578
            message: message
            worst_day_index: 1
            valid: true
            var_pct: 7.386281948385884
            marginal_var_pct: 7.061401241503109
            std_dev: 3.616076749251911
            mean: 9.301444243932576
            expected_shortfall: 5.962133916683182
            marginal_var: 2.3021358869347655
            name: name
            std_dev_pct: 2.027123023002322
            component_var_pct: 1.4658129805029452
            id: id
            worst_day: '2000-01-23T04:56:07.000+00:00'
            component_var: 6.027456183070403
          - expected_shortfall_pct: 5.637376656633329
            var: 4.145608029883936
            worst_loss: 1.0246457001441578
            message: message
            worst_day_index: 1
            valid: true
            var_pct: 7.386281948385884
            marginal_var_pct: 7.061401241503109
            std_dev: 3.616076749251911
            mean: 9.301444243932576
            expected_shortfall: 5.962133916683182
            marginal_var: 2.3021358869347655
            name: name
            std_dev_pct: 2.027123023002322
            component_var_pct: 1.4658129805029452
            id: id
            worst_day: '2000-01-23T04:56:07.000+00:00'
            component_var: 6.027456183070403
        portfolio_date_time: '2000-01-23T04:56:07.000+00:00'
      properties:
        market_data_error_summary:
          $ref: '#/components/schemas/MarketDataErrorSummary'
        portfolio_name:
          nullable: true
          type: string
        real_time_market_data:
          type: boolean
        report_id:
          nullable: true
          type: string
        reporting_currency:
          nullable: true
          type: string
        report_name:
          nullable: true
          type: string
        status:
          enum:
            - none
            - succeeded
            - failed
            - running
            - warning
          type: string
        status_message:
          nullable: true
          type: string
        time_stamp:
          format: date-time
          type: string
        market_data_date:
          format: date-time
          type: string
        pricing_date:
          format: date-time
          type: string
        portfolio_date_time:
          format: date-time
          type: string
        portfolio_id:
          format: int32
          type: integer
        portfolio_var_statistics:
          $ref: '#/components/schemas/VarStatistics'
        scenario_portfolio_var_statistics:
          items:
            $ref: '#/components/schemas/VarStatistics'
          nullable: true
          type: array
        scenarios:
          items:
            $ref: '#/components/schemas/RiskScenario'
          nullable: true
          type: array
        tradable_var_statistics:
          items:
            $ref: '#/components/schemas/VarStatistics'
          nullable: true
          type: array
        user_time_zone_id:
          nullable: true
          type: string
        position_infos:
          items:
            $ref: '#/components/schemas/VarPositionInfo'
          nullable: true
          type: array
        historical_observation_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        excluded_price_histories_by_tradable_id:
          additionalProperties:
            $ref: '#/components/schemas/PriceHistory'
          nullable: true
          type: object
        excluded_scenario_price_histories_by_tradable_id:
          items:
            additionalProperties:
              $ref: '#/components/schemas/PriceHistory'
            type: object
          nullable: true
          type: array
        price_histories_by_tradable_id:
          additionalProperties:
            $ref: '#/components/schemas/PriceHistory'
          nullable: true
          type: object
        scenario_price_histories_by_tradable_id:
          items:
            additionalProperties:
              $ref: '#/components/schemas/PriceHistory'
            type: object
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Reports.VarReportData, Derivitec.Web.Core
      required:
        - $type
      type: object
    MarketDataErrorSummary:
      example:
        bond_vol_surface_errors:
          - bond_short_name: bond_short_name
            futures_market_id: futures_market_id
          - bond_short_name: bond_short_name
            futures_market_id: futures_market_id
        survival_curve_errors:
          - issuer_id: issuer_id
            default_type: default_type
            currency: currency
            debt_type: debt_type
            issuer_name: issuer_name
          - issuer_id: issuer_id
            default_type: default_type
            currency: currency
            debt_type: debt_type
            issuer_name: issuer_name
        equity_vol_of_var_curve_errors:
          - eq_vol_of_var_index_id: eq_vol_of_var_index_id
            eq_vol_of_var_index_ric: eq_vol_of_var_index_ric
          - eq_vol_of_var_index_id: eq_vol_of_var_index_id
            eq_vol_of_var_index_ric: eq_vol_of_var_index_ric
        commodity_errors:
          - commodity_id: commodity_id
            commodity_name: commodity_name
          - commodity_id: commodity_id
            commodity_name: commodity_name
        credit_swaption_vol_cube_errors:
          - credit_id: credit_id
            name: name
          - credit_id: credit_id
            name: name
        ir_futures_vol_cube_errors:
          - name: name
            futures_market_id: futures_market_id
          - name: name
            futures_market_id: futures_market_id
        credit_event_errors:
          - default_date: default_date
            bond_id: bond_id
          - default_date: default_date
            bond_id: bond_id
        recovery_rate_errors:
          - issuer_id: issuer_id
            bond_id: bond_id
            debt_type: debt_type
            issuer_name: issuer_name
          - issuer_id: issuer_id
            bond_id: bond_id
            debt_type: debt_type
            issuer_name: issuer_name
        rate_asset_errors:
          - rate_asset_id: rate_asset_id
            reference_date: reference_date
            message: message
          - rate_asset_id: rate_asset_id
            reference_date: reference_date
            message: message
        cmdty_vol_surface_errors:
          - commodity_id: commodity_id
            commodity_name: commodity_name
          - commodity_id: commodity_id
            commodity_name: commodity_name
        discount_curve_errors:
          - currency: currency
          - currency: currency
        fx_cross_errors:
          - fx_cross_id: fx_cross_id
          - fx_cross_id: fx_cross_id
        equity_vol_index_errors:
          - eq_vol_index_id: eq_vol_index_id
            eq_vol_index_name: eq_vol_index_name
            eq_vol_index_ric: eq_vol_index_ric
          - eq_vol_index_id: eq_vol_index_id
            eq_vol_index_name: eq_vol_index_name
            eq_vol_index_ric: eq_vol_index_ric
        dividend_index_errors:
          - dividend_index_id: dividend_index_id
            dividend_index_name: dividend_index_name
            dividend_index_ric: dividend_index_ric
          - dividend_index_id: dividend_index_id
            dividend_index_name: dividend_index_name
            dividend_index_ric: dividend_index_ric
        bond_yield_curve_errors:
          - issuer_id: issuer_id
            currency: currency
            debt_type: debt_type
            issuer_name: issuer_name
          - issuer_id: issuer_id
            currency: currency
            debt_type: debt_type
            issuer_name: issuer_name
        equity_asset_errors:
          - notes: notes
            asset_edi_code: asset_edi_code
            asset_ric: asset_ric
            asset_x_ignite_code: asset_x_ignite_code
            asset_id: asset_id
          - notes: notes
            asset_edi_code: asset_edi_code
            asset_ric: asset_ric
            asset_x_ignite_code: asset_x_ignite_code
            asset_id: asset_id
        calendar_errors:
          - calendar_errors
          - calendar_errors
        dividend_index_vol_surface_errors:
          - dividend_index_id: dividend_index_id
            dividend_index_ric: dividend_index_ric
          - dividend_index_id: dividend_index_id
            dividend_index_ric: dividend_index_ric
        fx_fx_correlation_errors:
          - fx_cross2_name: fx_cross2_name
            fx_cross1_id: fx_cross1_id
            fx_cross1_name: fx_cross1_name
            fx_cross2_id: fx_cross2_id
          - fx_cross2_name: fx_cross2_name
            fx_cross1_id: fx_cross1_id
            fx_cross1_name: fx_cross1_name
            fx_cross2_id: fx_cross2_id
        equity_vol_surface_errors:
          - asset_ric: asset_ric
            asset_id: asset_id
          - asset_ric: asset_ric
            asset_id: asset_id
        equity_fx_correlation_errors:
          - eq_asset_id: eq_asset_id
            eq_asset_name: eq_asset_name
            fx_cross_id: fx_cross_id
          - eq_asset_id: eq_asset_id
            eq_asset_name: eq_asset_name
            fx_cross_id: fx_cross_id
        swaption_vol_cube_errors:
          - rate_asset_id: rate_asset_id
          - rate_asset_id: rate_asset_id
        andersen_buffum_parameters_errors:
          - equity_id: equity_id
          - equity_id: equity_id
        credit_index_correlation_errors:
          - index_id: index_id
            index_name: index_name
          - index_id: index_id
            index_name: index_name
        equity_vol_index_vol_surface_errors:
          - eq_vol_index_id: eq_vol_index_id
            eq_vol_index_ric: eq_vol_index_ric
          - eq_vol_index_id: eq_vol_index_id
            eq_vol_index_ric: eq_vol_index_ric
        fx_vol_of_var_curve_errors:
          - fx_vol_of_var_index_ric: fx_vol_of_var_index_ric
            fx_vol_of_var_index_id: fx_vol_of_var_index_id
          - fx_vol_of_var_index_ric: fx_vol_of_var_index_ric
            fx_vol_of_var_index_id: fx_vol_of_var_index_id
        equity_equity_correlation_errors:
          - asset1_name: asset1_name
            asset2_name: asset2_name
            asset1_id: asset1_id
            asset2_id: asset2_id
          - asset1_name: asset1_name
            asset2_name: asset2_name
            asset1_id: asset1_id
            asset2_id: asset2_id
        fx_vol_surface_errors:
          - fx_cross_id: fx_cross_id
          - fx_cross_id: fx_cross_id
      properties:
        bond_vol_surface_errors:
          items:
            $ref: '#/components/schemas/BondVolSurfaceError'
          nullable: true
          type: array
        bond_yield_curve_errors:
          items:
            $ref: '#/components/schemas/BondYieldCurveError'
          nullable: true
          type: array
        credit_event_errors:
          items:
            $ref: '#/components/schemas/CreditEventError'
          nullable: true
          type: array
        calendar_errors:
          items:
            type: string
          nullable: true
          type: array
        cmdty_vol_surface_errors:
          items:
            $ref: '#/components/schemas/CmdtyVolSurfaceError'
          nullable: true
          type: array
        commodity_errors:
          items:
            $ref: '#/components/schemas/CommodityError'
          nullable: true
          type: array
        credit_index_correlation_errors:
          items:
            $ref: '#/components/schemas/CreditIndexCorrelationError'
          nullable: true
          type: array
        credit_swaption_vol_cube_errors:
          items:
            $ref: '#/components/schemas/CreditSwaptionVolCubeError'
          nullable: true
          type: array
        discount_curve_errors:
          items:
            $ref: '#/components/schemas/DiscountCurveError'
          nullable: true
          type: array
        equity_asset_errors:
          items:
            $ref: '#/components/schemas/EquityAssetError'
          nullable: true
          type: array
        equity_equity_correlation_errors:
          items:
            $ref: '#/components/schemas/EquityEquityCorrelationError'
          nullable: true
          type: array
        equity_fx_correlation_errors:
          items:
            $ref: '#/components/schemas/EquityFxCorrelationError'
          nullable: true
          type: array
        fx_fx_correlation_errors:
          items:
            $ref: '#/components/schemas/FxFxCorrelationError'
          nullable: true
          type: array
        equity_vol_index_errors:
          items:
            $ref: '#/components/schemas/EquityVolIndexError'
          nullable: true
          type: array
        equity_vol_index_vol_surface_errors:
          items:
            $ref: '#/components/schemas/EquityVolIndexVolSurfaceError'
          nullable: true
          type: array
        equity_vol_surface_errors:
          items:
            $ref: '#/components/schemas/EquityVolSurfaceError'
          nullable: true
          type: array
        equity_vol_of_var_curve_errors:
          items:
            $ref: '#/components/schemas/EquityVolOfVarCurveError'
          nullable: true
          type: array
        dividend_index_errors:
          items:
            $ref: '#/components/schemas/DividendIndexError'
          nullable: true
          type: array
        dividend_index_vol_surface_errors:
          items:
            $ref: '#/components/schemas/DividendIndexVolSurfaceError'
          nullable: true
          type: array
        fx_vol_of_var_curve_errors:
          items:
            $ref: '#/components/schemas/FxVolOfVarCurveError'
          nullable: true
          type: array
        fx_cross_errors:
          items:
            $ref: '#/components/schemas/FxCrossError'
          nullable: true
          type: array
        fx_vol_surface_errors:
          items:
            $ref: '#/components/schemas/FxVolSurfaceError'
          nullable: true
          type: array
        andersen_buffum_parameters_errors:
          items:
            $ref: '#/components/schemas/AndersenBuffumParametersError'
          nullable: true
          type: array
        ir_futures_vol_cube_errors:
          items:
            $ref: '#/components/schemas/IrFuturesVolCubeError'
          nullable: true
          type: array
        rate_asset_errors:
          items:
            $ref: '#/components/schemas/RateAssetError'
          nullable: true
          type: array
        recovery_rate_errors:
          items:
            $ref: '#/components/schemas/RecoveryRateError'
          nullable: true
          type: array
        survival_curve_errors:
          items:
            $ref: '#/components/schemas/SurvivalCurveError'
          nullable: true
          type: array
        swaption_vol_cube_errors:
          items:
            $ref: '#/components/schemas/SwaptionVolCubeError'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.MarketDataErrorSummary,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    VarStatistics:
      example:
        expected_shortfall_pct: 5.637376656633329
        var: 4.145608029883936
        worst_loss: 1.0246457001441578
        message: message
        worst_day_index: 1
        valid: true
        var_pct: 7.386281948385884
        marginal_var_pct: 7.061401241503109
        std_dev: 3.616076749251911
        mean: 9.301444243932576
        expected_shortfall: 5.962133916683182
        marginal_var: 2.3021358869347655
        name: name
        std_dev_pct: 2.027123023002322
        component_var_pct: 1.4658129805029452
        id: id
        worst_day: '2000-01-23T04:56:07.000+00:00'
        component_var: 6.027456183070403
      properties:
        component_var:
          format: double
          type: number
        component_var_pct:
          format: double
          type: number
        expected_shortfall:
          format: double
          type: number
        expected_shortfall_pct:
          format: double
          type: number
        id:
          nullable: true
          type: string
        marginal_var:
          format: double
          type: number
        marginal_var_pct:
          format: double
          type: number
        mean:
          format: double
          type: number
        message:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        std_dev:
          format: double
          type: number
        std_dev_pct:
          format: double
          type: number
        valid:
          type: boolean
        var:
          format: double
          type: number
        var_pct:
          format: double
          type: number
        worst_day:
          format: date-time
          type: string
        worst_day_index:
          format: int32
          type: integer
        worst_loss:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.VarStatistics, Derivitec.Web.Core
      required:
        - $type
      type: object
    RiskScenario:
      discriminator:
        mapping:
          Derivitec.Web.Core.RiskEngine.RiskScenario, Derivitec.Web.Core: '#/components/schemas/RiskScenarioMintlifyShape'
          Derivitec.Web.Core.RiskEngine.CmdtySpotScenario, Derivitec.Web.Core: '#/components/schemas/CmdtySpotScenario'
          Derivitec.Web.Core.RiskEngine.CmdtyVolScenario, Derivitec.Web.Core: '#/components/schemas/CmdtyVolScenario'
          Derivitec.Web.Core.RiskEngine.CompositeScenario, Derivitec.Web.Core: '#/components/schemas/CompositeScenario'
          Derivitec.Web.Core.RiskEngine.CreditScenario, Derivitec.Web.Core: '#/components/schemas/CreditScenario'
          Derivitec.Web.Core.RiskEngine.EqSpotScenario, Derivitec.Web.Core: '#/components/schemas/EqSpotScenario'
          Derivitec.Web.Core.RiskEngine.EqVolScenario, Derivitec.Web.Core: '#/components/schemas/EqVolScenario'
          Derivitec.Web.Core.RiskEngine.FxSpotScenario, Derivitec.Web.Core: '#/components/schemas/FxSpotScenario'
          Derivitec.Web.Core.RiskEngine.FxVolSurfaceScenario, Derivitec.Web.Core: '#/components/schemas/FxVolSurfaceScenario'
          Derivitec.Web.Core.RiskEngine.HistoricalScenario, Derivitec.Web.Core: '#/components/schemas/HistoricalScenario'
          Derivitec.Web.Core.RiskEngine.IRParallelShockScenario, Derivitec.Web.Core: '#/components/schemas/IRParallelShockScenario'
          Derivitec.Web.Core.RiskEngine.IrRateAssetScenario, Derivitec.Web.Core: '#/components/schemas/IrRateAssetScenario'
          Derivitec.Web.Core.RiskEngine.IRShockScenario, Derivitec.Web.Core: '#/components/schemas/IRShockScenario'
          Derivitec.Web.Core.RiskEngine.JumpToDefaultScenario, Derivitec.Web.Core: '#/components/schemas/JumpToDefaultScenario'
          Derivitec.Web.Core.RiskEngine.ThetaScenario, Derivitec.Web.Core: '#/components/schemas/ThetaScenario'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/RiskScenarioMintlifyShape'
        - $ref: '#/components/schemas/CmdtySpotScenario'
        - $ref: '#/components/schemas/CmdtyVolScenario'
        - $ref: '#/components/schemas/CompositeScenario'
        - $ref: '#/components/schemas/CreditScenario'
        - $ref: '#/components/schemas/EqSpotScenario'
        - $ref: '#/components/schemas/EqVolScenario'
        - $ref: '#/components/schemas/FxSpotScenario'
        - $ref: '#/components/schemas/FxVolSurfaceScenario'
        - $ref: '#/components/schemas/HistoricalScenario'
        - $ref: '#/components/schemas/IRParallelShockScenario'
        - $ref: '#/components/schemas/IrRateAssetScenario'
        - $ref: '#/components/schemas/IRShockScenario'
        - $ref: '#/components/schemas/JumpToDefaultScenario'
        - $ref: '#/components/schemas/ThetaScenario'
    VarPositionInfo:
      example:
        notes: notes
        level2_portfolio_name: level2_portfolio_name
        client_tradable_id: client_tradable_id
        asset_id: asset_id
        book_name: book_name
        client_transaction_id: client_transaction_id
        client_parent_entity: client_parent_entity
        level5_portfolio_id: 8
        tradable_id: tradable_id
        leg: leg
        level3_portfolio_id: 9
        level1_portfolio_id: 5
        asset_name: asset_name
        instrument_code: instrument_code
        sector: sector
        string_label8: string_label8
        string_label16: string_label16
        string_label9: string_label9
        string_label15: string_label15
        counterparty_name: counterparty_name
        string_label6: string_label6
        string_label14: string_label14
        dealing_bank: dealing_bank
        string_label7: string_label7
        string_label13: string_label13
        string_label19: string_label19
        string_label18: string_label18
        bond_issuer_type: bond_issuer_type
        string_label17: string_label17
        decimal_label2: 7.457744773683766
        date_label2: '2000-01-23T04:56:07.000+00:00'
        decimal_label1: 6.84685269835264
        string_label12: string_label12
        business_unit: business_unit
        date_label1: '2000-01-23T04:56:07.000+00:00'
        string_label11: string_label11
        string_label10: string_label10
        sub_business_unit: sub_business_unit
        dealer_status: dealer_status
        level1_portfolio_name: level1_portfolio_name
        tradable: tradable
        string_label1: string_label1
        exchange: exchange
        string_label4: string_label4
        string_label5: string_label5
        string_label2: string_label2
        string_label3: string_label3
        country_of_risk: country_of_risk
        fx_cross_id: fx_cross_id
        dealing_bank_name: dealing_bank_name
        string_label20: string_label20
        futures_contract_size: 1.1730742509559433
        holding: 4.965218492984954
        level4_portfolio_id: 6
        counterparty_account: counterparty_account
        equity_asset_code: equity_asset_code
        level3_portfolio_name: level3_portfolio_name
        level2_portfolio_id: 9
        contract_currency: contract_currency
        client: client
        calculated_string_label2: calculated_string_label2
        calculated_string_label1: calculated_string_label1
        calculated_string_label4: calculated_string_label4
        client_name: client_name
        calculated_string_label3: calculated_string_label3
        security_type: security_type
        quantity: 9.018348186070783
        level4_portfolio_name: level4_portfolio_name
        book_id: 1
        team: team
        ctpty_string_label2: ctpty_string_label2
        ctpty_string_label1: ctpty_string_label1
        structure: structure
        issuer_name: issuer_name
        ctpty_string_label3: ctpty_string_label3
        commodity_id: commodity_id
        product_type: product_type
        counterparty: counterparty
        dealer_name: dealer_name
        level5_portfolio_name: level5_portfolio_name
        fx_cross: fx_cross
        strategy: strategy
        entity: entity
      properties:
        asset_id:
          nullable: true
          type: string
        asset_name:
          nullable: true
          type: string
        issuer_name:
          nullable: true
          type: string
        bond_issuer_type:
          nullable: true
          type: string
        book_id:
          format: int32
          type: integer
        book_name:
          nullable: true
          type: string
        business_unit:
          nullable: true
          type: string
        client:
          nullable: true
          type: string
        client_name:
          nullable: true
          type: string
        client_parent_entity:
          nullable: true
          type: string
        client_tradable_id:
          nullable: true
          type: string
        client_transaction_id:
          nullable: true
          type: string
        commodity_id:
          nullable: true
          type: string
        counterparty:
          nullable: true
          type: string
        counterparty_account:
          nullable: true
          type: string
        counterparty_name:
          nullable: true
          type: string
        date_label1:
          format: date-time
          nullable: true
          type: string
        date_label2:
          format: date-time
          nullable: true
          type: string
        dealer_name:
          nullable: true
          type: string
        dealer_status:
          nullable: true
          type: string
        dealing_bank:
          nullable: true
          type: string
        dealing_bank_name:
          nullable: true
          type: string
        decimal_label1:
          format: double
          nullable: true
          type: number
        decimal_label2:
          format: double
          nullable: true
          type: number
        entity:
          nullable: true
          type: string
        equity_asset_code:
          nullable: true
          type: string
        exchange:
          nullable: true
          type: string
        futures_contract_size:
          format: double
          type: number
        fx_cross:
          nullable: true
          type: string
        fx_cross_id:
          nullable: true
          type: string
        holding:
          format: double
          type: number
        instrument_code:
          nullable: true
          type: string
        leg:
          nullable: true
          type: string
        level1_portfolio_id:
          format: int32
          type: integer
        level1_portfolio_name:
          nullable: true
          type: string
        level2_portfolio_id:
          format: int32
          type: integer
        level2_portfolio_name:
          nullable: true
          type: string
        level3_portfolio_id:
          format: int32
          type: integer
        level3_portfolio_name:
          nullable: true
          type: string
        level4_portfolio_id:
          format: int32
          type: integer
        level4_portfolio_name:
          nullable: true
          type: string
        level5_portfolio_id:
          format: int32
          type: integer
        level5_portfolio_name:
          nullable: true
          type: string
        notes:
          nullable: true
          type: string
        quantity:
          format: double
          type: number
        sector:
          nullable: true
          type: string
        country_of_risk:
          nullable: true
          type: string
        contract_currency:
          nullable: true
          type: string
        security_type:
          nullable: true
          type: string
        strategy:
          nullable: true
          type: string
        structure:
          nullable: true
          type: string
        sub_business_unit:
          nullable: true
          type: string
        team:
          nullable: true
          type: string
        tradable:
          nullable: true
          type: string
        tradable_id:
          nullable: true
          type: string
        product_type:
          nullable: true
          type: string
        string_label1:
          nullable: true
          type: string
        string_label2:
          nullable: true
          type: string
        string_label3:
          nullable: true
          type: string
        string_label4:
          nullable: true
          type: string
        string_label5:
          nullable: true
          type: string
        string_label6:
          nullable: true
          type: string
        string_label7:
          nullable: true
          type: string
        string_label8:
          nullable: true
          type: string
        string_label9:
          nullable: true
          type: string
        string_label10:
          nullable: true
          type: string
        string_label11:
          nullable: true
          type: string
        string_label12:
          nullable: true
          type: string
        string_label13:
          nullable: true
          type: string
        string_label14:
          nullable: true
          type: string
        string_label15:
          nullable: true
          type: string
        string_label16:
          nullable: true
          type: string
        string_label17:
          nullable: true
          type: string
        string_label18:
          nullable: true
          type: string
        string_label19:
          nullable: true
          type: string
        string_label20:
          nullable: true
          type: string
        ctpty_string_label1:
          nullable: true
          type: string
        ctpty_string_label2:
          nullable: true
          type: string
        ctpty_string_label3:
          nullable: true
          type: string
        calculated_string_label1:
          nullable: true
          type: string
        calculated_string_label2:
          nullable: true
          type: string
        calculated_string_label3:
          nullable: true
          type: string
        calculated_string_label4:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Reports.VarPositionInfo, Derivitec.Web.Core
      required:
        - $type
      type: object
    PriceHistory:
      example:
        final_prices:
          - 0.8008281904610115
          - 0.8008281904610115
        observation_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        initial_price: 6.027456183070403
        initial_price_valid: true
        message: message
        final_prices_valid:
          - true
          - true
      properties:
        final_prices:
          items:
            format: double
            type: number
          nullable: true
          type: array
        final_prices_valid:
          items:
            type: boolean
          nullable: true
          type: array
        initial_price:
          format: double
          type: number
        initial_price_valid:
          type: boolean
        message:
          nullable: true
          type: string
        observation_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.PriceHistory, Derivitec.Web.Core
      required:
        - $type
      type: object
    BondVolSurfaceError:
      example:
        bond_short_name: bond_short_name
        futures_market_id: futures_market_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        futures_market_id:
          nullable: true
          type: string
        bond_short_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.BondVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BondYieldCurveError:
      example:
        issuer_id: issuer_id
        currency: currency
        debt_type: debt_type
        issuer_name: issuer_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        currency:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        debt_type:
          nullable: true
          type: string
        issuer_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.BondYieldCurveError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditEventError:
      example:
        default_date: default_date
        bond_id: bond_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        bond_id:
          nullable: true
          type: string
        default_date:
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.CreditEventError, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyVolSurfaceError:
      example:
        commodity_id: commodity_id
        commodity_name: commodity_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        commodity_id:
          nullable: true
          type: string
        commodity_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.CmdtyVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CommodityError:
      example:
        commodity_id: commodity_id
        commodity_name: commodity_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        commodity_id:
          nullable: true
          type: string
        commodity_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.CommodityError, Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditIndexCorrelationError:
      example:
        index_id: index_id
        index_name: index_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        index_id:
          nullable: true
          type: string
        index_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.CreditIndexCorrelationError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditSwaptionVolCubeError:
      example:
        credit_id: credit_id
        name: name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        credit_id:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.CreditSwaptionVolCubeError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DiscountCurveError:
      example:
        currency: currency
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        currency:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.DiscountCurveError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityAssetError:
      example:
        notes: notes
        asset_edi_code: asset_edi_code
        asset_ric: asset_ric
        asset_x_ignite_code: asset_x_ignite_code
        asset_id: asset_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        asset_id:
          nullable: true
          type: string
        asset_ric:
          nullable: true
          type: string
        asset_x_ignite_code:
          nullable: true
          type: string
        asset_edi_code:
          nullable: true
          type: string
        notes:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.EquityAssetError, Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityEquityCorrelationError:
      example:
        asset1_name: asset1_name
        asset2_name: asset2_name
        asset1_id: asset1_id
        asset2_id: asset2_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        asset1_id:
          nullable: true
          type: string
        asset1_name:
          nullable: true
          type: string
        asset2_id:
          nullable: true
          type: string
        asset2_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityEquityCorrelationError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityFxCorrelationError:
      example:
        eq_asset_id: eq_asset_id
        eq_asset_name: eq_asset_name
        fx_cross_id: fx_cross_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        eq_asset_id:
          nullable: true
          type: string
        eq_asset_name:
          nullable: true
          type: string
        fx_cross_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityFxCorrelationError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    FxFxCorrelationError:
      example:
        fx_cross2_name: fx_cross2_name
        fx_cross1_id: fx_cross1_id
        fx_cross1_name: fx_cross1_name
        fx_cross2_id: fx_cross2_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        fx_cross1_id:
          nullable: true
          type: string
        fx_cross1_name:
          nullable: true
          type: string
        fx_cross2_id:
          nullable: true
          type: string
        fx_cross2_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.FxFxCorrelationError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolIndexError:
      example:
        eq_vol_index_id: eq_vol_index_id
        eq_vol_index_name: eq_vol_index_name
        eq_vol_index_ric: eq_vol_index_ric
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        eq_vol_index_id:
          nullable: true
          type: string
        eq_vol_index_name:
          nullable: true
          type: string
        eq_vol_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityVolIndexError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolIndexVolSurfaceError:
      example:
        eq_vol_index_id: eq_vol_index_id
        eq_vol_index_ric: eq_vol_index_ric
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        eq_vol_index_id:
          nullable: true
          type: string
        eq_vol_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityVolIndexVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolSurfaceError:
      example:
        asset_ric: asset_ric
        asset_id: asset_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        asset_id:
          nullable: true
          type: string
        asset_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolOfVarCurveError:
      example:
        eq_vol_of_var_index_id: eq_vol_of_var_index_id
        eq_vol_of_var_index_ric: eq_vol_of_var_index_ric
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        eq_vol_of_var_index_id:
          nullable: true
          type: string
        eq_vol_of_var_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityVolOfVarCurveError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DividendIndexError:
      example:
        dividend_index_id: dividend_index_id
        dividend_index_name: dividend_index_name
        dividend_index_ric: dividend_index_ric
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        dividend_index_id:
          nullable: true
          type: string
        dividend_index_name:
          nullable: true
          type: string
        dividend_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.DividendIndexError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DividendIndexVolSurfaceError:
      example:
        dividend_index_id: dividend_index_id
        dividend_index_ric: dividend_index_ric
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        dividend_index_id:
          nullable: true
          type: string
        dividend_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.DividendIndexVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    FxVolOfVarCurveError:
      example:
        fx_vol_of_var_index_ric: fx_vol_of_var_index_ric
        fx_vol_of_var_index_id: fx_vol_of_var_index_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        fx_vol_of_var_index_id:
          nullable: true
          type: string
        fx_vol_of_var_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.FxVolOfVarCurveError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    FxCrossError:
      example:
        fx_cross_id: fx_cross_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        fx_cross_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.FxCrossError, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxVolSurfaceError:
      example:
        fx_cross_id: fx_cross_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        fx_cross_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.FxVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AndersenBuffumParametersError:
      example:
        equity_id: equity_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        equity_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.AndersenBuffumParametersError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    IrFuturesVolCubeError:
      example:
        name: name
        futures_market_id: futures_market_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        futures_market_id:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.IrFuturesVolCubeError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    RateAssetError:
      example:
        rate_asset_id: rate_asset_id
        reference_date: reference_date
        message: message
      properties:
        message:
          nullable: true
          type: string
        rate_asset_id:
          nullable: true
          type: string
        reference_date:
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.RateAssetError, Derivitec.Web.Core
      required:
        - $type
      type: object
    RecoveryRateError:
      example:
        issuer_id: issuer_id
        bond_id: bond_id
        debt_type: debt_type
        issuer_name: issuer_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        bond_id:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        issuer_name:
          nullable: true
          type: string
        debt_type:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.RecoveryRateError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    SurvivalCurveError:
      example:
        issuer_id: issuer_id
        default_type: default_type
        currency: currency
        debt_type: debt_type
        issuer_name: issuer_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        currency:
          nullable: true
          type: string
        debt_type:
          nullable: true
          type: string
        default_type:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        issuer_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.SurvivalCurveError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    SwaptionVolCubeError:
      example:
        rate_asset_id: rate_asset_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        rate_asset_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.SwaptionVolCubeError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    RiskScenarioMintlifyShape:
      example:
        scenario_name: scenario_name
        scenario_description: scenario_description
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.RiskScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtySpotScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        shock_size:
          format: double
          type: number
        sticky_smile_ratio:
          format: double
          type: number
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.CmdtySpotScenario,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyVolScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        shock_size:
          format: double
          type: number
        use_proportional_vol_bump:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyVolScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    CompositeScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        scenarios:
          items:
            $ref: '#/components/schemas/RiskScenario'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.CompositeScenario,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        reference_issuer_identifier:
          $ref: '#/components/schemas/IssuerIdentifier'
        reference_currency:
          nullable: true
          type: string
        reference_debt_type:
          nullable: true
          type: string
        tenors:
          items:
            type: string
          nullable: true
          type: array
        credit_spread_floor:
          format: double
          type: number
        global_shock:
          format: double
          type: number
        shocks_by_issuer_identifier:
          items:
            $ref: '#/components/schemas/IssuerIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        use_proportional_shocks:
          type: boolean
        use_forward_rate_bumps:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CreditScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqSpotScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        shock_size:
          format: double
          type: number
        shocks_by_equity_asset:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
        sticky_smile_ratio:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqSpotScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqVolScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        bumped_vol_floor:
          format: double
          type: number
        shock_size:
          format: double
          type: number
        use_parallel_shift:
          type: boolean
        use_proportional_vol_bump:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVolScenario, Derivitec.Web.Core
      required:
[...]
